      SUBROUTINE  RCA08 
C 
C      RCA08 IS USED TO SET UP SYNCRONIZE DATA FILES FOR "B" VECTORS
C            IF SIMULATION STARTS OTHER THAN TIME EQUAL TO ZERO 
C 
      INCLUDE 'RCACM' 
 
      REAL   TVAL(600)


C        TRANSPORT

   10 IF(TZERO.GT.HYDBRK(ITIMHYD))   THEN

C   DUMMY READS FOR TMID/QX/QY/QZ/EX/EY/EZ/ETA/DETA/HYDTEMP/HYDSAL
         READ(20,END=900) TMID
         IF(LNDWTROPT.EQ.0)  THEN
C        READ FULL LAND/WATER GRID
          READ(20) 
          READ(20) 
          IF (NLAYR.GT.1) READ(20) 
          READ(20) 
          READ(20) 
          IF (NLAYR.GT.1) READ(20) 
          READ(20) 
          READ(20) 
          IF (NLAYR.GT.1) READ(20) 
          IF (NLAYR.GT.1) READ(20) 
  
         ELSE

C        READ WATER ONLY GRID AND PUT INTO FULL GRID
          READ(20)
          READ(20)
          IF (NLAYR.GT.1)    READ(20)
C    CHECK IF UNCOLLAPSED/COLLAPSED READ
          IF(ICOLLOPT.EQ.0)  THEN
            READ(20)
            READ(20)
          IF (NLAYR.GT.1)    READ(20)
            READ(20)
            READ(20)
          ELSE
            READ(20)
            READ(20)
          IF (NLAYR.GT.1)    READ(20)
            READ(20)
            READ(20)
            READ(20)
          ENDIF
          READ(20)
          READ(20)

        ENDIF

         ITIMHYD = ITIMHYD + 1
         GO TO 10

      ENDIF
  
      CALL RCA03A


C        BOUNDARY CONDITIONS

  120 IF(IBCOPT.EQ.1)  GO TO 180
  130 IF(TZERO.GE.NXBCT)  THEN

c        DO 150 ISYS=1,NOSYS 
c        IF(NOBC(ISYS).EQ.0.)   GO TO 150
c        READ(21,2300,ERR=950)  (BBC(I,ISYS),I=1,NOBC(ISYS))
 2300    FORMAT(10X,7F10.0)
c        DO 140 I=1,NOBC(ISYS)
c 140    BBC(I,ISYS) = SCALBC(ISYS)*BBC(I,ISYS) 
c 150    CONTINUE
c        READ(21,2300,ERR=950)  NXBCT
         CALL RCA11
         GO TO 120

      ENDIF

C        PUT BOUNDARY CONDITOINS INTO -CARAY-

      DO 170 ISYS=1,NOSYS
      IF(NOBC(ISYS).EQ.0)  GO TO 170
      DO 160 I=1,NOBC(ISYS)
  160 CARAY(IBC(1,I,ISYS),IBC(2,I,ISYS),IBC(3,I,ISYS),ISYS)=BBC(I,ISYS)
  170 CONTINUE

C        POINT SOURCE LOADS

  180 IF(IPSOPT.EQ.1)  GO TO 210
  185 IF(TZERO.GE.NXPST)  THEN

         DO 200 ISYS=1,NOSYS 
         IF(NOPS(ISYS).GT.0)   THEN
           IF(IBNRYRDOPTS(2).EQ.0) THEN
              READ(22,2750,ERR=950)  (BPS(I,ISYS),I=1,NOPS(ISYS))
           ELSE
              READ(22,ERR=950)  (BPS(I,ISYS),I=1,NOPS(ISYS))
           END IF
 2750       FORMAT(10X,7F10.0)
            DO 190 I=1,NOPS(ISYS)
  190       BPS(I,ISYS) = 1000.*SCALPS(ISYS)*BPS(I,ISYS) 
         ENDIF
  200    CONTINUE
         IF (IBNRYRDOPTS(2).EQ.0) THEN
         READ(22,2300,ERR=950)  NXPST
         ELSE
         READ(22,ERR=950)  NXPST
         END IF
         GO TO 185

      ENDIF

C             NONPOINT SOURCE LOADS

  210 IF(INPSOPT.EQ.1)  GO TO 240
  215 IF(TZERO.GE.NXNPST)  THEN

         DO 230 ISYS=1,NOSYS 
         IF(NONPS(ISYS).GT.0)   THEN
            IF (IBNRYRDOPTS(3).EQ.0) THEN
            READ(23,2750,ERR=950)  (BNPS(I,ISYS),I=1,NONPS(ISYS))
            ELSE
            READ(23,ERR=950)  (BNPS(I,ISYS),I=1,NONPS(ISYS))
            END IF
            DO 220 I=1,NONPS(ISYS)
  220       BNPS(I,ISYS) = 1000.*SCALNPS(ISYS)*BNPS(I,ISYS) 
         ENDIF
  230    CONTINUE
            IF (IBNRYRDOPTS(3).EQ.0) THEN
         READ(23,2300,ERR=950)  NXNPST
            ELSE
         READ(23,ERR=950)  NXNPST
            END IF
         GO TO 215

         ENDIF

C             FALL-LINE LOADS

  240 IF(IFLOPT.EQ.1)  GO TO 280
  245 IF(TZERO.GE.NXFLT)  THEN

         DO 260 ISYS=1,NOSYS 
         IF(NOFL(ISYS).GT.0)   THEN
            IF (IBNRYRDOPTS(4).EQ.0) THEN
            READ(24,2750,ERR=950)  (BFL(I,ISYS),I=1,NOFL(ISYS))
            ELSE
            READ(24,ERR=950)  (BFL(I,ISYS),I=1,NOFL(ISYS))
            END IF
            DO 250 I=1,NOFL(ISYS)
  250       BFL(I,ISYS) = 1000.*SCALFL(ISYS)*BFL(I,ISYS) 
         ENDIF
  260    CONTINUE
            IF (IBNRYRDOPTS(4).EQ.0) THEN
         READ(24,2300,ERR=950)  NXFLT
            ELSE
         READ(24,ERR=950)  NXFLT
            END IF
         GO TO 245

      ENDIF

C             ATMOSPHERIC LOADS

  280 IF(IATMOPT.EQ.1)  GO TO 310
  285 IF(TZERO.GE.NXATMT)  THEN

         DO 300 ISYS=1,NOSYS 
         IF(NOATM(ISYS).GT.0)   THEN
            IF (IBNRYRDOPTS(5).EQ.0) THEN
            READ(25,2750,ERR=950)  BATM(ISYS)
            ELSE
            READ(25,ERR=950)  BATM(ISYS)
            END IF
            BATM(ISYS) = 1000.*SCALATM(ISYS)*BATM(ISYS) 
         ENDIF
  300    CONTINUE
            IF (IBNRYRDOPTS(5).EQ.0) THEN
         READ(25,2300,ERR=950)  NXATMT
            ELSE
         READ(25,ERR=950)  NXATMT
            END IF
         GO TO 285

      ENDIF

C        MISC TIME FUNCTIONS

  310 IF(NOFUNC.EQ.0)  RETURN
      IF(TZERO.GE.NXFUNT)  THEN

         REWIND(34)
         READ(34)  NOBRK,(TVAL(IBRK),IBRK=1,NOBRK)
         DO 320 IBRK=1,NOBRK
         IF(TZERO.LE.TVAL(IBRK))   GO TO 330
  320    CONTINUE
  330    ITIMF = IBRK

      ENDIF

      RETURN

C        END OF HYDRODYNAMIC FILE ENCOUNTERED ...
C          CHECK IF RECYCLE OPTION ENABLED
  900 IF(HYDCYCOPT.EQ.1)  THEN
C        IF SO REWIND FILE AND CONTINUE SIMULATION
        REWIND(20)
        GO TO 10
C          OR IF "LINK-FILE" OPTION ENABLED
      ELSE IF(HYDCYCOPT.EQ.2)  THEN
C        IF SO CLOSE PRESENT "GCM" FILE AND OPEN NEW "GCM" FILE
        CLOSE(20)
        READ(IN,1300)   HYDFILNA
 1300   FORMAT(A40)
        WRITE(OUT,1310)  HYDFILNA
 1310   FORMAT(//20X,'OPENING HYDRODYNAMIC TRANPORT FIELD FILE =',A40)
        OPEN(20,FILE=HYDFILNA,FORM='UNFORMATTED',STATUS='OLD',ERR=900)
        GO TO 10
      ELSE
C        ERROR MESSAGE AND EXIT
        WRITE(OUT,9100)   HYDFILNA
 9100   FORMAT(///5X,'END-OF-FILE ENCOUNTERED DURING READ OF'/
     .     5X,A40)
      ENDIF
      CALL EXIT

  950 CALL FMTER
      CALL EXIT 
      END 
