      SUBROUTINE RCA09
C 
C        RCA09 IS AN OUTPUT ROUTINE FOR INTERMEDIATE DUMPS
C 
      INCLUDE 'RCACM' 

      EQUIVALENCE
     .      (IDUMP(1,1),I1) , (IDUMP(1,2),J1) , (IDUMP(1,3),K1) 
     .   ,  (IDUMP(2,1),I2) , (IDUMP(2,2),J2) , (IDUMP(2,3),K2) 
     .   ,  (IDUMP(3,1),I3) , (IDUMP(3,2),J3) , (IDUMP(3,3),K3) 
     .   ,  (IDUMP(4,1),I4) , (IDUMP(4,2),J4) , (IDUMP(4,3),K4) 
     .   ,  (IDUMP(5,1),I5) , (IDUMP(5,2),J5) , (IDUMP(5,3),K5) 
     .   ,  (IDUMP(6,1),I6) , (IDUMP(6,2),J6) , (IDUMP(6,3),K6) 

C        INCREMENT OUTPUT RECORD NUMBER 

      PT = TIME+0.0001*TIME 
      IREC=IREC+1 

      IF(IREC.EQ.1)   THEN
         IF(ISIM.EQ.0)  THEN
            WRITE(OUT,2000)  PT,((IDUMP(I,J),J=1,3),I=1,6)
 2000       FORMAT('1'//6X,'TIME =',F10.4,10X,'<--  SEGMENTS  -->'
     .        /1X,'SYSTEM',1X,6(I4,',',I3,',',I2)/) 
         ELSE
            WRITE(OUT,2100)  PT,((IDUMP(I,J),J=1,3),I=1,6) 
 2100       FORMAT('1'//2X,'ITERATION =',F8.0,10X,'<--  SEGMENTS  -->'
     .        /1X,'SYSTEM',1X,6(I4,',',I3,',',I2)/) 
         ENDIF
      ELSE
         IF(ISIM.EQ.0)   THEN
            WRITE(OUT,2001)  PT
 2001       FORMAT('1'//6X,'TIME =',F10.4)
         ELSE
            WRITE(OUT,2101)  PT
 2101       FORMAT('1'//2X,'ITERATION =',F8.0)
         ENDIF
      ENDIF

      DO 20 ISYS=1,NOSYS
  20  WRITE(OUT,1000) ISYS,SYNAME(ISYS),
     .   CARAY(I1,J1,K1,ISYS),CARAY(I2,J2,K2,ISYS),
     .   CARAY(I3,J3,K3,ISYS),CARAY(I4,J4,K4,ISYS),
     .   CARAY(I5,J5,K5,ISYS),CARAY(I6,J6,K6,ISYS)
 1000 FORMAT(1X,I3,1X,A8,1X,6E12.4) 

      REWIND(15)
      WRITE(15)   CARAY
      IF(TIME.GT.303.9974.AND.TIME.LT.304.0026) THEN
       OPEN(UNIT=152,file='RCAFICAUG',form='UNFORMATTED')
       WRITE(152)   CARAY
       CLOSE(152)
      ENDIF


      RETURN
      END 
