      SUBROUTINE RCAMESS(I,DATA)
C 
C        RCAMESS IS USED TO INFORM USER CONCERNING CHANGES IN INTEGRATION
C                PROCEDURE AND/OR STABILITY DURING THE SIMULATION 
C 
      INCLUDE 'RCACM' 

      GO TO (10,20,30,40,50),I

   10 WRITE(OUT,1000)  TIME,ISYS,IR,IC,IL,CARAY(IR,IC,IL,ISYS),DATA
     .   ,CDARAY(IR,IC,IL,ISYS) 
 1000 FORMAT(/////12X,'STABILITY CRITERIA VIOLATED AT TIME',F9.3,' IN SY
     .STEM',I4,' SEGMENT',3I4 / 4X,'C =',E15.6,' EXCEEDED CMAX =',E15.6, 
     .  5X,'DERIVATIVE AT PREVIOUS STEP =',E15.6// 19X,'COMPUTATION DISC
     .ONTINUED, DUMPS UNTIL LAST PRINTOUT WILL FOLLOW') 
      RETURN

   20 WRITE(OUT,2000)   ISYS,TIME,DATA
 2000 FORMAT(/39X,'NEGATIVE CONCS COMPUTED IN SYSTEM',I3,' AT TIME =',
     .   F7.3/22X,'QUARTER CONC ADJUSTMENTS MADE WHICH RESULTED IN',
     .   E10.3,' KGS BEING ADDED TO THE SYSTEM'/30X,'THE FOLLOWING SEGME
     .NTS RECEIVED THE QUARTER CONC ADJUSTMENTS...')
      RETURN

   30 WRITE(OUT,3000)   TIME,ISYS,IR,IC,IL
 3000 FORMAT(/5X,'FAILURE TO CONVERGE AT TIME',E12.3/5X,'IN SYSTEM',
     .   I3,', SEGMENT',3I4) 
      RETURN

   40 WRITE(OUT,4000)   ISYS,ISEG,DATA,CMIN(ISYS)
 4000 FORMAT(/5X,'ACCURACY CRITERIA VIOLATED IN SYSTEM',I3,' SEGMENT',I4
     .   ,'  RESIDUAL ERROR =',E11.4,' EXCEEDED EPSILON OF',E11.4)
      RETURN

   50 WRITE(OUT,5000)   DATA
 5000 FORMAT(///30X,'GAUSS-SEIDEL ITERATION TERMINATED --- MAXIMUM ITERA
     .TION COUNT OF',I5,' REACHED'/)
      RETURN

      END 
