      SUBROUTINE RCA10(BVALS,NDIM,NO,NXT,IFILE,SCALE)
C 
C        RCA10 UPDATES THE FORCING FUNCTIONS
C 
      INCLUDE 'RCACM' 

      REAL      NXT,BVALS(NDIM,NOSYS),SCALE(NOSYS)
      INTEGER   NO(NOSYS),JUNKBIN

      IFLAG=0

      DO 100 ISYS=1,NOSYS 

      IF(NO(ISYS).EQ.0)   GO TO 100

      IFLAG=1

      IF(IFILE.EQ.22)  WRITE(OUT,2601)   ISYS,NXT
 2601 FORMAT(
     .  40X,'POINT SOURCE LOADINGS FOR SYSTEM',I3,' AT TIME =',F6.0//
     .  4(6X,'ROW COL LYR',5X,'PS(T)',3X)/)
      IF(IFILE.EQ.23)  WRITE(OUT,2602)   ISYS,NXT
 2602 FORMAT(
     .  40X,'NONPOINT SOURCE LOADINGS FOR SYSTEM',I3,' AT TIME =',F6.0//
     .  4(6X,'ROW COL LYR',5X,'NPS(T)',3X)/)
      IF(IFILE.EQ.24)  WRITE(OUT,2603)   ISYS,NXT
 2603 FORMAT(
     .  40X,'FALL-LINE LOADINGS FOR SYSTEM',I3,' AT TIME =',F6.0//
     .  4(6X,'ROW COL LYR',5X,'FL(T)',3X)/)
      IF(IFILE.EQ.25)  WRITE(OUT,2604)   ISYS,NXT
 2604 FORMAT(
     .  40X,'ATMOSPHERIC LOADINGS FOR SYSTEM',I3,' AT TIME =',F6.0//
     .  4(6X,'ROW COL LYR',5X,'FL(T)',3X)/)

      IF (IFILE.EQ.22) JUNKBIN=IBNRYRDOPTS(2)
      IF (IFILE.EQ.23) JUNKBIN=IBNRYRDOPTS(3)
      IF (IFILE.EQ.24) JUNKBIN=IBNRYRDOPTS(4)
      IF (IFILE.EQ.25) JUNKBIN=IBNRYRDOPTS(5)
      IF(JUNKBIN.EQ.0) THEN
        READ(IFILE,2750,ERR=950)  (BVALS(I,ISYS),I=1,NO(ISYS))
      ELSE
        READ(IFILE,ERR=950)  (BVALS(I,ISYS),I=1,NO(ISYS))
      END IF
 2750 FORMAT(10X,7F10.0)

      IF(LIST(2).EQ.0)   WRITE(OUT,2800)   (BVALS(I,ISYS),I=1,NO(ISYS))
 2800 FORMAT(10X,8E13.3)

C        MULTIPLY BY SCALE FACTOR AND CONVERT TO MG*M^3/DAY-L

      DO 40 I=1,NO(ISYS)
   40 BVALS(I,ISYS) = SCALE(ISYS)*BVALS(I,ISYS)*1000.

  100 CONTINUE

      IF (IFLAG.EQ.1) THEN
        IF (JUNKBIN.EQ.0) THEN
          READ(IFILE,2750)  NXT
        ELSE
          READ(IFILE)  NXT
        END IF
      END IF

      RETURN

  950 CALL FMTER
      CALL EXIT
      END 
