      SUBROUTINE RCA12
C
C        RCA12 PRINTS USER REQUESTED DUMPS AT END OF SIMULATION
C
      INCLUDE 'RCACM'
      CHARACTER  ANAME(5)*8,LYRDMP*3
      REAL   T(100)
      INTEGER   IDMP(3,8)

      EQUIVALENCE
     .      (IDMP(1,1),IR1) , (IDMP(2,1),IC1) , (IDMP(3,1),IL1)
     .    , (IDMP(1,2),IR2) , (IDMP(2,2),IC2) , (IDMP(3,2),IL2)
     .    , (IDMP(1,3),IR3) , (IDMP(2,3),IC3) , (IDMP(3,3),IL3)
     .    , (IDMP(1,4),IR4) , (IDMP(2,4),IC4) , (IDMP(3,4),IL4)
     .    , (IDMP(1,5),IR5) , (IDMP(2,5),IC5) , (IDMP(3,5),IL5)
     .    , (IDMP(1,6),IR6) , (IDMP(2,6),IC6) , (IDMP(3,6),IL6)
     .    , (IDMP(1,7),IR7) , (IDMP(2,7),IC7) , (IDMP(3,7),IL7)
     .    , (IDMP(1,8),IR8) , (IDMP(2,8),IC8) , (IDMP(3,8),IL8)
 
  
C        READ TIME RECORD (SKIPPING -SYSBY- HEADER RECORD)
      REWIND 10
      READ(10)
      READ(10)
      READ(10)
      READ(10)
      DO 30 I=1,100
   30 READ(10,END=40)  T(I)
   40 IREC=MIN(40,I-1)
      IF(IREC.LE.16)   WRITE(OUT,1110)
 1110 FORMAT('1') 

C             SYSTEM LOOP 
      DO 400 ISYS=1,NOSYS 

C         PRODUCE A SYSTEM ONLY DUMP FILE FROM MASTER DUMP FILE 

      IF(SYSBY(ISYS).EQ.0)  CALL RCABYSS

  100 READ(IN,1000,ERR=950,END=975)    IVAR,((IDMP(J,I),J=1,3),
     .   I=1,8),LYRDMP,LYR 
 1000 FORMAT(25I3,A3,I3)
      IF(LYRDMP.EQ.'LYR')   THEN
         IF(SYSBY(ISYS).EQ.1)   GO TO 100
         WRITE(OUT,1200)  ISYS,SYNAME(ISYS),LYR
 1200    FORMAT('1'//20X,'CONCS FOR SYSTEM',I3,' == ',A8,'  LAYER ',I3/)
         DO 110 IT=1,IREC
         IF( (T(2)-T(1)).LT.1.0 )  WRITE(OUT,3001)   T(IT)
 3001    FORMAT(//5X,'TIME =',F6.3)
         IF( (T(2)-T(1)).GE.1.0 )  WRITE(OUT,3002)   T(IT)
 3002    FORMAT(//5X,'TIME =',F6.1)
         CALL RCAPRNT(SCRATCH_ARRAY(1,1,1,IT),LYR,LYR)
  110    CONTINUE

      ELSE
  
         IF(IR1.EQ.0)   GO TO 400
         IF(SYSBY(ISYS).EQ.1)   GO TO 100
         IF(IREC.GT.16)  WRITE(OUT,2200)  ISYS,SYNAME(ISYS)
 2200    FORMAT(/////20X,'CONCS FOR SYSTEM',I3,' == ',A8/)
         IF(IREC.LE.16)  WRITE(OUT,2201)  ISYS,SYNAME(ISYS)
 2201    FORMAT(/////20X,'CONCS FOR SYSTEM',I3,' == ',A8/)
         WRITE(OUT,2500)  ((IDMP(J,I),J=1,3),I=1,8)
 2500    FORMAT(1X,//4X,'TIME',1X,8(1X,3I4)) 

         DO 200 I=1,IREC 
          IF( (T(2)-T(1)).LT.1.0 )  WRITE(OUT,3000) T(I),
     .     SCRATCH_ARRAY(IR1,IC1,IL1,I),SCRATCH_ARRAY(IR2,IC2,IL2,I),
     .      SCRATCH_ARRAY(IR3,IC3,IL3,I),SCRATCH_ARRAY(IR4,IC4,IL4,I),
     .      SCRATCH_ARRAY(IR5,IC5,IL5,I),SCRATCH_ARRAY(IR6,IC6,IL6,I),
     .      SCRATCH_ARRAY(IR7,IC7,IL7,I),SCRATCH_ARRAY(IR8,IC8,IL8,I) 
 3000    FORMAT(1X,F8.5,8E13.4)
          IF( (T(2)-T(1)).GE.1.0 )  WRITE(OUT,3010) T(I),
     .      SCRATCH_ARRAY(IR1,IC1,IL1,I),SCRATCH_ARRAY(IR2,IC2,IL2,I),
     .      SCRATCH_ARRAY(IR3,IC3,IL3,I),SCRATCH_ARRAY(IR4,IC4,IL4,I),
     .      SCRATCH_ARRAY(IR5,IC5,IL5,I),SCRATCH_ARRAY(IR6,IC6,IL6,I),
     .      SCRATCH_ARRAY(IR7,IC7,IL7,I),SCRATCH_ARRAY(IR8,IC8,IL8,I) 
 3010    FORMAT(1X,F8.1,8E13.4)
  200    CONTINUE

      ENDIF

      GO TO 100

  400 CONTINUE

      RETURN

  950 CALL FMTER
  975 RETURN
      END
