      SUBROUTINE  RCAWBUF(ISYSTM,A1,A2,A3,A4,A5)
C
C        RCAWBUF/RCAWRIT IS USED TO WRITE RCA DUMPS TO DISK
C                        IT REDUCES DISK I/O BY PROVIDING AN INTERNAL
C                        BUFFER TO HOLD INTERMEDIATE VALUES
      SAVE
      INCLUDE  'RCACM'

      REAL  BUF1(1000),BUF2(2000),BUF3(3000),BUF4(4000),BUF5(5000),
     .   BUF6(6500),BUF7(8000),BUF8(10000),BUF9(12000),BUFFER(25000)

      EQUIVALENCE 
     .   (BUFFER(1),BUF1(1)) , (BUFFER(1),BUF2(1)) , (BUFFER(1),BUF3(1))
     . , (BUFFER(1),BUF4(1)) , (BUFFER(1),BUF5(1)) , (BUFFER(1),BUF6(1))
     . , (BUFFER(1),BUF7(1)) , (BUFFER(1),BUF8(1)) , (BUFFER(1),BUF9(1))
C
      DATA  ICNT/0/
      BUFFER(ICNT+1) = A1
      BUFFER(ICNT+2) = A2
      BUFFER(ICNT+3) = A3
      BUFFER(ICNT+4) = A4
      BUFFER(ICNT+5) = A5
      ICNT = ICNT + 5
      RETURN

      ENTRY RCAWRIT

C        BUFFER IS COMPLETE - DUMP TO DISK

      WRITE(12)   TIME+0.0005*TIME
      IF(ICNT.LE.1000)   WRITE(13) BUF1
      IF(ICNT.GT.1000 .AND. ICNT.LE.2000)   WRITE(13) BUF2
      IF(ICNT.GT.2000 .AND. ICNT.LE.3000)   WRITE(13) BUF3
      IF(ICNT.GT.3000 .AND. ICNT.LE.4000)   WRITE(13) BUF4
      IF(ICNT.GT.4000 .AND. ICNT.LE.5000)   WRITE(13) BUF5
      IF(ICNT.GT.5000 .AND. ICNT.LE.6500)   WRITE(13) BUF6
      IF(ICNT.GT.6500 .AND. ICNT.LE.8000)   WRITE(13) BUF7
      IF(ICNT.GT.8000 .AND. ICNT.LE.10000)  WRITE(13) BUF8
      IF(ICNT.GT.10000 .AND. ICNT.LE.12000) WRITE(13) BUF9
      IF(ICNT.GT.12000)   WRITE(13) BUFFER

C        RESET ICNT
      RECSIZ = ICNT
      ICNT = 0
      RETURN
      END
